Index: boot/Makefile.common
===================================================================
--- boot/Makefile.common	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ boot/Makefile.common	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -138,8 +138,4 @@
 	$(USPACE_PATH)/app/blkdump/blkdump \
 	$(USPACE_PATH)/app/bnchmark/bnchmark \
-	$(USPACE_PATH)/app/cc/cc \
-	$(USPACE_PATH)/app/ccom/ccom \
-	$(USPACE_PATH)/app/ccom/mkext/cc_mkext \
-	$(USPACE_PATH)/app/cpp/cpp \
 	$(USPACE_PATH)/app/dltest/dltest \
 	$(USPACE_PATH)/app/dltest2/dltest2 \
Index: uspace/Makefile
===================================================================
--- uspace/Makefile	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/Makefile	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -37,8 +37,4 @@
 	app/blkdump \
 	app/bnchmark \
-	app/cc \
-	app/ccom \
-	app/ccom/mkext \
-	app/cpp \
 	app/edit \
 	app/ext2info \
Index: uspace/lib/c/arch/abs32le/include/types.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/abs32le/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -51,5 +51,4 @@
 typedef uint32_t size_t;
 
-typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/amd64/include/types.h
===================================================================
--- uspace/lib/c/arch/amd64/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/amd64/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -51,5 +51,4 @@
 typedef uint64_t size_t;
 
-typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
Index: uspace/lib/c/arch/arm32/include/types.h
===================================================================
--- uspace/lib/c/arch/arm32/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/arm32/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -52,5 +52,4 @@
 typedef uint32_t size_t;
 
-typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ia32/include/types.h
===================================================================
--- uspace/lib/c/arch/ia32/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/ia32/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -51,5 +51,4 @@
 typedef uint32_t size_t;
 
-typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ia64/include/types.h
===================================================================
--- uspace/lib/c/arch/ia64/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/ia64/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -61,5 +61,4 @@
 typedef uint64_t size_t;
 
-typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
Index: uspace/lib/c/arch/mips32/include/types.h
===================================================================
--- uspace/lib/c/arch/mips32/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/mips32/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -52,5 +52,4 @@
 typedef uint32_t size_t;
 
-typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/ppc32/include/types.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/ppc32/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -51,5 +51,4 @@
 typedef uint32_t size_t;
 
-typedef int32_t intptr_t;
 typedef uint32_t uintptr_t;
 typedef uint32_t atomic_count_t;
Index: uspace/lib/c/arch/sparc64/include/types.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/types.h	(revision b9a46fc8f6bdb0f4677773cfe10a64cbaa371c49)
+++ uspace/lib/c/arch/sparc64/include/types.h	(revision 27eddb52d56ef05faab213ab06ffed225dd60a7b)
@@ -51,5 +51,4 @@
 typedef uint64_t size_t;
 
-typedef int64_t intptr_t;
 typedef uint64_t uintptr_t;
 typedef uint64_t atomic_count_t;
